#
# spec file for package perl-Unicode-Map8 (Version 0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Unicode-String
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Unicode-String ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Unicode-Map8
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-Unicode-String
Autoreqprov:  on
Summary:      Mapping table between 8-bit chars and Unicode
Version:      0.10
Release:      30
Source:       Unicode-Map8-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode. The
tables are efficient both in terms of space allocated and translation
speed. The 16-bit strings is assumed to use network byte order.

Authors:
--------
    Gisle Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n Unicode-Map8-%{version}

%build
perl Makefile.PL
make
#make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Unicode-Map8
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Unicode/Map8
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc README MANIFEST Changes rfc1345.txt
%{_prefix}/bin/umap
%{perl_sitearch}/Unicode/Map8.pm
%{perl_sitearch}/Unicode/Map8
%{perl_sitearch}/auto/Unicode/Map8
/var/adm/perl-modules/perl-Unicode-Map8

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Unicode-Map8
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 0.10)
